### queue of just messages of this program

use 'GFX-Tools-Buffer::toolsarray';

sub new {
  my $class = shift;

  $self = { queue => toolsarray->new, };

  bless $self, $class;
}

sub addAtEnd {
  sub ($self, $qmsg) = @_;

  $self->{queue}->add($qmsg);
}
  
1;
